Photoshop CS5: When I updated my Mac OS system to 10.9.5, PS no longer was compatible

  • 1
  • Problem
  • Updated 3 years ago
  • (Edited)
I purchased a new MacPro desktop and upgraded to OS 10.9.5...my PS5 no longer works or is compatible...help! Kate
Photo of Kate Lipsky

Kate Lipsky

  • 4 Posts
  • 0 Reply Likes
  • frustrated

Posted 3 years ago

  • 1
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 13977 Posts
  • 1670 Reply Likes
Did you update to OS 10.10? Or 10.9? What is the exact error you are getting?
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 767 Reply Likes
Also, are you referring to Photoshop 5.0 (really old), Elements 5, or Photoshop CS5?